Register a PGP public key

Stores an armored public key for the account email address and returns the account with the fingerprint of the new key. Submitting a different key replaces the one already stored.

POST
/user/pgp

Authorization

BearerToken
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/user/pgp" \  -H "Content-Type: application/json" \  -d '{    "email_public_key": "stringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringst"  }'
{  "id": 0,  "name": "string",  "email": "string",  "invoice_email": "string",  "country": {    "id": 0,    "code": "string",    "name": "string",    "name_bg": "string"  },  "city": "string",  "address": "string",  "referral_code": "string",  "referrer_code": "string",  "language": "EN",  "tax_rate": "string",  "type": "string",  "company_name": "string",  "company_address": "string",  "company_number": "string",  "vat_number": "string",  "2fa_enabled": true,  "recovery_codes_remaining": 0,  "recovery_codes_generated_at": "string",  "email_otp_enabled": true,  "newsletter": true,  "currency": {    "code": "string",    "prefix": "string",    "suffix": "string"  },  "settings": {    "floating_ipv4_limit": "string",    "floating_ipv4_left": "string",    "floating_ipv6_limit": "string",    "floating_ipv6_left": "string",    "vpc_limit": "string",    "server_vpc_limit": "string",    "firewall_limit": "string",    "server_firewall_limit": "string",    "firewall_rules_per_direction_limit": "string",    "firewall_addresses_per_rule_limit": "string",    "ip_list_limit": "string",    "server_ipv6_limit": 1,    "can_modify_aff_hash": "string",    "can_modify_country": "string",    "show_shared_hosting": "string",    "show_tour": "string",    "show_review_prompt": "string"  },  "support": {    "status": "string",    "billing_cycle": 0,    "created_at": "2019-08-24T14:15:22Z",    "expiry_at": "string",    "plan": {      "id": 0,      "name": "string",      "key": "string",      "available": true,      "price": 0,      "price_with_vat": 0    },    "cancel_request": {      "id": 0,      "now": 0,      "created_at": "2019-08-24T14:15:22Z",      "refund_total": "string",      "refund_executed_at": "2019-08-24T14:15:22Z"    }  },  "pgp": {    "email": {      "fingerprint": "string",      "algorithm": "string",      "key_created_at": "string",      "expires_at": "string"    }  },  "pending_gdpr_request": {    "reference": "string",    "requested_at": "2019-08-24T14:15:22Z",    "undo_deadline_at": "2019-08-24T14:15:22Z"  }}